Skip to main content
POST
/
v3
/
webhooks
/
endpoints
Create a webhook endpoint
curl --request POST \
  --url https://api.heygen.com/v3/webhooks/endpoints \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "url": "<string>",
  "events": [
    "avatar_video.success"
  ],
  "entity_id": "<string>"
}
'
{}

Authorizations

x-api-key
string
header
required

HeyGen API key. Obtain from your HeyGen dashboard.

Body

application/json

Request body for POST /v3/webhooks/endpoints.

url
string
required

Publicly accessible HTTPS URL that will receive webhook POST requests.

events
enum<string>[] | null

Event types to subscribe to. Omit or set to null to receive all events.

Available options:
avatar_video.success,
avatar_video.fail,
avatar_video_gif.success,
avatar_video_gif.fail,
video_translate.success,
video_translate.fail,
personalized_video,
instant_avatar.success,
instant_avatar.fail,
photo_avatar_generation.success,
photo_avatar_generation.fail,
photo_avatar_train.success,
photo_avatar_train.fail,
photo_avatar_add_motion.success,
photo_avatar_add_motion.fail,
proofread_creation.success,
proofread_creation.fail,
live_avatar.success,
live_avatar.fail,
avatar_video_caption.success,
avatar_video_caption.fail,
video_agent.success,
video_agent.fail
entity_id
string | null

Optional entity ID to scope this endpoint to a specific resource (e.g. a personalized video project).

Response

Successful response

data
WebhookEndpointResponse · object

A registered webhook endpoint.